=== debian/changelog ===
ros-lunar-phidgets-imu (0.7.8-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.7-1stretch) stretch; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.6-1stretch) stretch; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.5-1stretch) stretch; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-lunar-phidgets-imu (0.7.4-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.3-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.2-1stretch) stretch; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.1-1stretch) stretch; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.0-1stretch) stretch; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.3-1stretch) stretch; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate
    is correctly set after each reattachment.
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.2-1stretch) stretch; urgency=high

  * Merge pull request #18 from ccny-ros-pkg/libphidgets
    Merge libphidgets branch into indigo
  * set orientation_covariance[0] to -1
    from Imu.msg:
    > If you have no estimate for one of the data elements (e.g. your IMU doesn't produce an orientation
    > estimate), please set element 0 of the associated covariance matrix to -1.
  * phidgets_imu: fixed issue #9
  * Contributors: Martin Günther, Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.1-1stretch) stretch; urgency=high

  * add boost depends to CMakeLists
    All non-catkin things that we expose in our headers should be added to
    the DEPENDS, so that packages which depend on our package will also
    automatically link against it.
    Also see: http://answers.ros.org/question/58498/what-is-the-purpose-of-catkin_depends/#58593
  * improve error output when setting compass corr params
    The previous implementation didn't catch a number of error codes
    (EPHIDGET_INVALIDARG, EPHIDGET_NOTATTACHED, EPHIDGET_UNEXPECTED), and
    the new one is more elegant and consistent with the previous code anyway.
  * Set compass correction params on the device
    Tested with a Phidget Spatial 3/3/3 1044.
  * phidgets_imu: install phidgets_imu_nodelet.xml
  * phidgets_imu: not exporting nodelet as library anymore
  * Updated version, maintainer and author information
  * phidgets_imu: added install rule to launch files
  * phidgets_imu: removed unnecessary dependency
  * Deleted comments within files of all packages
  * Catkinised packages
  * Merge pull request #1 from uos/fix_imu_time_lag
    fix IMU time lag
  * add some hints to error message
    I just spent 30 minutes trying to figure out why the IMU works on one
    computer and doesn't on another one. Felt a little foolish when I found
    out that the udev rules weren't installed; maybe providing some more
    info in the error message helps others.
  * use ros::Time::now() if time lag exceeds threshold
  * added warning if IMU time lags behind ROS time

