=== debian/control ===
Source: ros-lunar-phidgets-imu
Section: misc
Priority: extra
Maintainer: Martin Guenther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslaunch, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://ros.org/wiki/phidgets_imu
Standards-Version: 3.9.2

Package: ros-lunar-phidgets-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-diagnostic-aggregator, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-imu-filter-madgwick, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: Driver for the Phidgets Spatial 3/3/3 devices
